Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.chart.yui
Class Axis

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.widgets.chart.yui.Axis

Direct Known Subclasses:
  CategoryAxis, NumericAxis

    public class Axis

extends JsObject

Defines a CartesianChart's vertical or horizontal axis.

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`Axis()`

Method Summary
`protected com.google.gwt.core.client.JavaScriptObject` | `create()`
`boolean` | `getHideOverlappingLabels()` Return the hideOverlappingLabels.
`Orientation` | `getOrientation()` Return the orientation.
`boolean` | `getReverse()` Return the reverse value.
`ChartType` | `getType()` The type of axis.
`void` | `setHideOverlappingLabels(boolean hideOverlappingLabels)` Set the hideOverlappingLabels.
`void` | `setLabelFunction(java.lang.String labelFunction)` Set the orientation.
`void` | `setOrientation(Orientation orientation)` Set the orientation.
`void` | `setReverse(boolean reverse)` Set the reverse value.
`void` | `setType(ChartType type)` The type of axis.

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Axis

    public Axis()

Method Detail

### create

    protected com.google.gwt.core.client.JavaScriptObject create()

### setHideOverlappingLabels

    public void setHideOverlappingLabels(boolean hideOverlappingLabels)

  Set the hideOverlappingLabels. If true, labels that overlap previously drawn labels on the axis will be hidden.

  Parameters:
    `hideOverlappingLabels` - the hideOverlappingLabels

### getHideOverlappingLabels

    public boolean getHideOverlappingLabels()

  Return the hideOverlappingLabels.

  Returns:
    the hideOverlappingLabels

### setOrientation

    public void setOrientation(Orientation orientation)

  Set the orientation.

  Parameters:
    `orientation` - the orientation

### setLabelFunction

    public void setLabelFunction(java.lang.String labelFunction)

  Set the orientation.

### getOrientation

    public Orientation getOrientation()

  Return the orientation.

  Returns:
    the orientation

### setReverse

    public void setReverse(boolean reverse)

  Set the reverse value. If true, the items on the axis will be drawn in opposite direction.

  Parameters:
    `reverse` - the reverse value

### getReverse

    public boolean getReverse()

  Return the reverse value.

  Returns:
    the reverse value

### setType

    public void setType(ChartType type)

  The type of axis.

  Parameters:
    `type` - the type of axis

### getType

    public ChartType getType()

  The type of axis.

  Returns:
    the type of axis

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD